> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/cricket-api/our-api/officials/get-all-officials.md).

# GET All Officials

### `GET` All Officials

```
https://cricket.sportmonks.com/api/v2.0/officials
```

| Endpoint details |         |
| ---------------- | ------- |
| Authorization    | API Key |
| Pagination       | NO      |

#### Parameters

| Available parameters |                                                                                                                                                                          |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| filter               | <p>Array of fields to filter on. Can be used by adding <code>\&filter\[{field you want to filter}].</code> <br>For example: <code>\&filter\[country\_id]=146.</code></p> |
| fields\[object]      | Only return fields you are interested in. Simply add `&fields[object]=id,name,code`  to your request url.                                                                |
| sort                 | One or comma separated list of fields to sort on. Can be used by adding `&sort=` to your request url.                                                                    |

**Filters**

`name` `country_id`

**Sort**

You can sort on all fields.

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://cricket.sportmonks.com/api/v2.0/officials?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": [
        {
            "resource": "officials",
            "id": 1,
            "country_id": 146,
            "firstname": "Maraise",
            "lastname": "Erasmus",
            "fullname": "Maraise Erasmus",
            "dateofbirth": "1964-02-27",
            "gender": "m",
            "updated_at": "2018-10-11T09:38:55.000000Z"
        },
        {
            "resource": "officials",
            "id": 2,
            "country_id": 52126,
            "firstname": "Aleem",
            "lastname": "Dar",
            "fullname": "Aleem Dar",
            "dateofbirth": "1968-06-06",
            "gender": "m",
            "updated_at": "2018-10-11T09:40:07.000000Z"
        },
        {
            "resource": "officials",
            "id": 3,
            "country_id": 2817,
            "firstname": "Tony",
            "lastname": "Hill",
            "fullname": "Tony Hill",
            "dateofbirth": "1951-06-26",
            "gender": "m",
            "updated_at": "2020-04-11T13:12:00.000000Z"
        },
        {
            "resource": "officials",
            "id": 4,
            "country_id": 38404,
            "firstname": "Ranjan",
            "lastname": "Madugella",
            "fullname": "Ranjan Madugella",
            "dateofbirth": "1959-04-22",
            "gender": "m",
            "updated_at": "2018-10-11T09:43:41.000000Z"
        },
        {
            "resource": "officials",
            "id": 6,
            "country_id": 462,
            "firstname": "Richard",
            "lastname": "Illingworth",
            "fullname": "Richard Illingworth",
            "dateofbirth": "1963-08-23",
            "gender": "m",
            "updated_at": "2018-10-11T09:46:15.000000Z"
        },
        {
            "resource": "officials",
            "id": 7,
            "country_id": 98,
            "firstname": "Bruce",
            "lastname": "Oxenford",
            "fullname": "Bruce Oxenford",
            "dateofbirth": "1960-03-05",
            "gender": "m",
            "updated_at": "2018-10-11T09:47:22.000000Z"
        },
        {
            "resource": "officials",
            "id": 8,
            "country_id": 98,
            "firstname": "Steve",
            "lastname": "Davis",
            "fullname": "Steve Davis",
            "dateofbirth": "1952-04-09",
            "gender": "m",
            "updated_at": "2020-04-12T10:59:37.000000Z"
        },
        {
            "resource": "officials",
            "id": 9,
            "country_id": 462,
            "firstname": "Ian",
            "lastname": "Gould",
            "fullname": "Ian Gould",
            "dateofbirth": "1957-08-19",
            "gender": "m",
            "updated_at": "2018-10-11T09:50:42.000000Z"
        },
        {
            "resource": "officials",
            "id": 10,
            "country_id": 98,
            "firstname": "Rod",
            "lastname": "Tucker",
            "fullname": "Rod Tucker",
            "dateofbirth": "1964-08-28",
            "gender": "m",
            "updated_at": "2020-04-15T19:00:09.000000Z"
        },
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/officials/get-all-officials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
